LibreOffice: XFilterManager Interface Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Public Member Functions | List of all members
XFilterManager Interface Referencepublished

Specifies a filter manager interface for a FilePicker. More...

`import"XFilterManager.idl";`

Inheritance diagram for XFilterManager:

## Public Member Functions
void | appendFilter ([in] string aTitle, [in] string aFilter) raises ( ::com::sun::star::lang::IllegalArgumentException )
| Adds a filter identified by a title. More...
void | setCurrentFilter ([in] string aTitle) raises ( ::com::sun::star::lang::IllegalArgumentException )
| Sets the current filter. More...
string | getCurrentFilter ()
| Returns the currently selected filter. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Specifies a filter manager interface for a FilePicker.

## Member Function Documentation

## ◆ appendFilter()

void appendFilter | ( | [in] string | aTitle,
|  | [in] string | aFilter
| ) |  |
raises | ( | ::com::sun::star::lang::IllegalArgumentException
| ) |  |

Adds a filter identified by a title.

Parameters

  aTitle | Specifies the name of the filter as shown in the filter box of the FilePicker dialog.
  aFilter | Specifies the extensions of the filter. Multiple filters should be semicolon separated. The semicolon may not be used as character in a filter expression. A typical filter is for instance "*.txt".

Exceptions

  com::sun::star::lang::IllegalArgumentException | If a filter with the specified title already exists.

## ◆ getCurrentFilter()

string getCurrentFilter | ( |  | ) |

Returns the currently selected filter.

Returns
  The name of the selected filter or an empty string if there is no filter or no filter is currently selected.

## ◆ setCurrentFilter()

void setCurrentFilter | ( | [in] string | aTitle | ) |
raises | ( | ::com::sun::star::lang::IllegalArgumentException
| ) |  |

Sets the current filter.

Parameters

  aTitle | Specifies the name of the filter to be set.

Exceptions

  com::sun::star::lang::IllegalArgumentException | If the specified filter was not found.

The documentation for this interface was generated from the following file:

- com/sun/star/ui/dialogs/XFilterManager.idl